*****************************************************************************************************
digiKam 2.0.0 - Release date: 2011-07-24

NEW FEATURES:

General        : XMP metadata sidecar support.
General        : Reverse geo-coding support.
General        : Face detection and recognition support.
General        : Tag keyboard shortcuts support.
General        : Color Labels support to improve photograph workfow.
General        : Pick Labels support to improve photograph selection.
General        : Color Theme engine is now ported to KDE color theme manager.
General        : MySQl support improvements. Dependency is now optional.
General        : Added JPEGTurbo library support.
General        : Update internal LibPGF to 6.11.24 with OpenMP support.

AlbumGUI       : Re-designed Filters view on right sidebar to perform icon-view items filtering.
AlbumGUI       : Add options to group/ungroup items from icon-view.
AlbumGUI       : Add options to show file format over icon-view items.

ImageEditor    : Image versionning support.
ImageEditor    : Foveon sensor based camera.
ImageEditor    : New advanced RAW decoding settings backported from RawTherapee project.

AdvancedRename : New datetime option "UnixTimeStamp" (requires Qt 4.7 or higher)


BUGFIXES FROM KDE BUGZILLA (alias B.K.O | http://bugs.kde.org):

001 ==> 253785 : GoogleMaps should be available in "Search Map".
002 ==> 258436 : Traceability.
003 ==> 258082 : Libkface doesn't increment ids' while saving hash database.
004 ==> 259146 : Libface doesn't learn new faces (patch).
005 ==> 146288 : Face detection / recognition for digiKam.
006 ==> 252964 : Please remove libs from kdegraphics and make independant.
007 ==> 260619 : digiKam crash when raw format is being converted.
008 ==> 261140 : FindKdcraw.cmake is installed both by kdelibs and kdegraphics.
009 ==> 261946 : Unable to compile beta1 of digikam.
010 ==> 262172 : The unknown tag should be plural.
011 ==> 262067 : Crash when closing 2.0.0 beta1.
012 ==> 262074 : No face are detected.
013 ==> 261964 : digiKam 2.0.0 crashes when trying to open configure dialog.
014 ==> 262303 : Importing a RAW picture results in empty view.
015 ==> 263329 : Image preview windows always has a scrollbar.
016 ==> 262882 : digiKam crashes when changing face rectangle.
017 ==> 263321 : digiKam crash when looking through photos.
018 ==> 182664 : Tag menu its bigger than screen.
019 ==> 244701 : Map search tool selects a whole hemisphere when trying to select large areas.
020 ==> 225440 : Save dialog default file format from xpm to user wanted.
021 ==> 218816 : Many Problem with Editor "Save As...".
022 ==> 236730 : Collection path is interpreted differently.
023 ==> 245957 : digiKam shows pictures from PENTAX camera incorrectly in imageview.
024 ==> 263272 : Face Detection crashes on folders containing videos.
025 ==> 241015 : Unexpected behavior when deleting a file while several are selected.
026 ==> 264093 : Preview zoom is set to 1:1, should be "fit to window".
027 ==> 263994 : Left-hand side bar too big and cannot be made smaller.
028 ==> 261779 : digiKam crashes in Digikam::DynamicThread::DynamicThreadPriv::transitionToRunning while scanning faces.
029 ==> 235666 : All tags no longer shown when the "Tags already assigned" button is clicked.
030 ==> 114465 : Simpler entry of tags using keyboard shortcuts.
031 ==> 229471 : Editor: forward when saving in progress.
032 ==> 255858 : Memory leak (?) while thumbnailing very large files!
033 ==> 264363 : Image editor always crashes when triggering Colour Auto-Correction.
034 ==> 243066 : Timeline view does not display images.
035 ==> 243069 : Video replay restarts when starring.
036 ==> 246772 : Curves: Don't recalculate on mouseUp if the position of the marker did not change.
037 ==> 196922 : Both mouse buttons change ratings on thumbnail bar.
038 ==> 256789 : Bad calculated album mean date when pictures before 1964.
039 ==> 258775 : Moving an album from one collection to another doesn't update the source collection.
040 ==> 262174 : After confirming a face the mouse pointer is not correct inside the face.
041 ==> 265058 : digiKam crash when editing picture.
042 ==> 263332 : "Tag Filters", "Captions/Tags" right-click options impair usability.
043 ==> 263399 : Marking a face "Unknown"/Unconfirmed is not possible.
044 ==> 142056 : Save changes of image modifications with Versioning.
045 ==> 125387 : Simulate changes to images only.
046 ==> 260274 : Request to setup a git repository for digiKam.
047 ==> 264864 : Keep focus on selected image when change filtering parameters
048 ==> 152424 : Workflow organizing : use Color Label Tags over icon view items.
049 ==> 216726 : Turn off ratings on thumbnails in view mode.
050 ==> 241847 : Workflow organizing : Possibility to pre-mark images for deletion (Pick Labels feature).
051 ==> 264976 : Face detection: "Clear results and rescan" doesn't clear results.
052 ==> 201282 : Sort settings in status bar.
053 ==> 210576 : Move tag filter to the bottom.
054 ==> 262539 : CMake Warning "cycle in the constraint graph" with libkipi.
055 ==> 231597 : Add XCF to the filter list in the album view.
056 ==> 266788 : Showfoto crashes when opening a photo.
057 ==> 266326 : Move digiKam documentation to git.
058 ==> 266327 : Move libkexiv2 to git.
059 ==> 267361 : When using the luminosity curve in the image editor on an initial import from NEF, all changes are irreversible and cumulative.
060 ==> 266733 : digiKam crashes on startup on OS X.
061 ==> 262574 : Add a face tag does not do anything.
062 ==> 266126 : Renaming single file needs to be confirmed twice.
063 ==> 264976 : Face detection: "Clear results and rescan" doesn't clear results.
064 ==> 213624 : Editor: picture too "big" when comming to editor after digikam start.
065 ==> 192425 : Star rating setting under thumbnails is a nuisance.
066 ==> 219202 : digiKam database on multiple hosts.
067 ==> 216894 : Slow quadratic runtime generating fingerprints or thumbnails in beta6 during a big import.
068 ==> 267944 : Album properties - Date manually entered not saved when clicking Ok.
069 ==> 211489 : Renaming doesn't prevent from concurrent operation.
070 ==> 268058 : Use XMP sidecar files to store changes to RAW (or other files).
071 ==> 148223 : Themes: different color of "plate" for different MIME.
072 ==> 208504 : Add type icon to images under the thumbnail.
073 ==> 268098 : Usability enhanced showing format of each photo in its background frame with BIG letters.
074 ==> 268300 : digiKam crash on confirm create new person.
075 ==> 267262 : digiKam not compliant with "Metadata Working Group" specification when reading caption.
076 ==> 266735 : digiKam displays no images: "unable to create io-slave" (OS X).
077 ==> 268925 : The editor 'forgets' one step when a crop is undone and redone.
078 ==> 268924 : Versioning fails to save a new version as a JPEG2000.
079 ==> 269418 : Possibility of having the tag hierarchy also written in the Xmp.MicrosoftPhoto.LastKeywordXMP field.
080 ==> 269378 : Not assigned face tags showing up.
081 ==> 269458 : digiKam 2.0.0-beta3 crash while assigning face tags.
082 ==> 269312 : Wish Rename file extension.
083 ==> 269903 : Libkdcraw no longer compiles due to a linking error [patch].
084 ==> 269862 : Libkmap compilation fails because of changes in MarbleWidget [patch].
085 ==> 269435 : digiKam does not display any picture from any source.
086 ==> 246074 : Can't export photos to Picasaweb (with gwenview it's works fine).
087 ==> 252700 : Font color for icons in toolbar does not change for darker Themes.
088 ==> 168669 : Disabled entry menu seems more important and active in dark theme.
089 ==> 241116 : [Themes] Cannot change text colour in menu bar.
090 ==> 220068 : Dark theme: active item in menu is hardly different than others items.
091 ==> 250265 : Black background of short summary display.
092 ==> 257803 : Grey font on grey context (Obsidian Coast colour scheme).
093 ==> 266086 : digiKam 2.0.0-beta2 crashed after closing it.
094 ==> 265554 : Problem in colors between dgikam's theme and Gnome appearance.
095 ==> 270553 : Import Wizard: Selecting "date" in File Renaming Options does not work.
096 ==> 270728 : CMakeLists.txt:159 doesn't specify which target needs to link to QtScript library.
097 ==> 267421 : Tagging panel shows tags as checked which previously where partially checked (when selecting multiple images).
098 ==> 270168 : Select Tool item in edit window all 46 icons idle.
099 ==> 266674 : Green grid in images imported from raw file (cr2).
100 ==> 270365 : Drag & drop picture in upwards folder collapses and reopens it.
101 ==> 231536 : Save As New File.
102 ==> 271153 : Tokina AT-X 107 AF DX Fish-eye not recognised.
103 ==> 271551 : digiKam crashes when trying to move the same album twice in parallel.
104 ==> 266211 : Media-gfx/digikam-1.8.0 crash on exit.
105 ==> 271252 : digiKam crashes while scanning for new pictures on the same drive it worked before.
106 ==> 217886 : Database and visualization error when renaming folders.
107 ==> 269289 : Rename scrambles order of files. 
108 ==> 228718 : Renaming doesn't allow [file]{r:"%20"," "}.[ext]. 
109 ==> 235928 : digiKam fails to open database at startup.
110 ==> 271916 : digiKam crashed when opening editor.
111 ==> 272133 : Crash editing Geo coordinates of several images.
112 ==> 272216 : Compile error: No rule to make target /usr/lib/libm.so, required for lib/libkdcraw.so.20.0.0.
113 ==> 272569 : Crashing in start.
114 ==> 271651 : 2.0 beta4 can't use network shares.
115 ==> 269320 : After initial database building thumbnails fail to rezise properly.
116 ==> 272529 : digiKam crashing on load.
117 ==> 233770 : Error messages after changing to mysql.
118 ==> 271924 : digiKam fail to create/update mysql database on startup [PATCH].
119 ==> 258409 : Tags and TagsTree table is empty after DB migration from sqlite to mysql.
120 ==> 257183 : Failed to add tag to database.
121 ==> 262231 : Missing records after migration from SQLite to digiKam.
122 ==> 267733 : Automatical initialisation of Internal MySQL database doesn't work after digikam start.
123 ==> 254533 : Make MySQL support as optional dependency [patch].
124 ==> 271598 : digiKam crashes while downloading photos.
125 ==> 269375 : Face tags count error.
126 ==> 269291 : Function "View->Include tag subtree" does not function on "People".
127 ==> 272023 : digiKam crash on deleting tags (quickly).
128 ==> 265431 : digiKam cmake check for JPEG_LIB_VERSION fails for libjpeg-turbo >= 1.0.90.
129 ==> 273068 : digiKam 1.9.0 crashes while importing images.
130 ==> 272301 : Mysql database corruption upon tag hierarchy removal.
131 ==> 266264 : Localized version of batch raw converter not fit to window.
132 ==> 273369 : digikam does not get UUID for disk devices inside LVM.
133 ==> 271591 : Startup may take a very long time.
134 ==> 202202 : Loosing tags from database.
135 ==> 194950 : digiKam endlessly spewing text to stderr.
136 ==> 273716 : transupp.cpp failing at make (2.0.0 Beta 5 under Fedora 14).
137 ==> 272586 : Crash when playing with databasebackend.
138 ==> 269907 : Please consider attached patch for build system: make apidoc generation controllable.
139 ==> 271323 : digiKam crashes when building thumbnails of grayscale DNGs.
140 ==> 274455 : Build fails in kmemoryinfo - invalid conversion from 'void*' to 'kstat_named_t*'.
141 ==> 174828 : Missing HTML closing tag in some strings.
142 ==> 274432 : Build fails due to UINT32.
143 ==> 274062 : Possibility to store metadata templates.
144 ==> 275039 : [PATCH] switch to semantic internationalisation.
145 ==> 274462 : Build failure in kmemoryinfo - swapctl.
146 ==> 229571 : "Set As Thumbnail" is not working correctly for tags folder view. 
147 ==> 274660 : Face regognition crashes DK.
148 ==> 274713 : digiKam crashed unexpectedly.
149 ==> 274302 : Search for _two_ keywords with logical "and" fails.
150 ==> 272180 : Camera Device Summary seems to use wrong encoding.
151 ==> 274865 : TIFF files with Exif.Image.Orientation = 1 aren't decoded properly.
152 ==> 268267 : digiKam crashes on picture import : OpenCV and Gphoto2 libraries incompatibility through libdc1394.
153 ==> 248494 : Deleted pictures still shown: Have to rescan collection always.
154 ==> 275660 : Remove tag non-working when using face view.
155 ==> 274940 : digiKam freezes when using "sharpen: refocus" (cpu 100%).
156 ==> 268549 : digiKam crashes everytime i try to start.
157 ==> 272031 : BQM wastes a lot of memory when adding over 3000 files.
158 ==> 275813 : digiKam hangs on startup (splash screen: reading database).
159 ==> 274729 : lighttable: the thumbnail slider does not work at all.
160 ==> 274879 : Low resolution version of photo is displayed and portrait oriented photos are rotated 90 degrees.
161 ==> 262212 : Face recognition doesn't work.
162 ==> 276592 : Crash while browsing through album in enlarged view.
163 ==> 261521 : A creation or a deletion, of a tag, takes a very long time.
164 ==> 276052 : Failed to update the database schema from version 5 to version 6.
165 ==> 265034 : Database corrupted after terminating frozen digiKam.
166 ==> 267190 : digiKam crashes when other applications rename files it is loading.
167 ==> 272332 : Moving a versioned file crashes digikam2.
168 ==> 203196 : Multiple Albums for 1 Folder.
169 ==> 229234 : Thumbnail mismatch for images with same name.
170 ==> 267802 : Database connections not closed on exit.
171 ==> 195006 : National charaters not accepted in database file path.
172 ==> 145743 : Only include displayable files in database.
173 ==> 163763 : digiKam hangs during operation and startup.
174 ==> 276795 : Showfoto crashes when open a pic.
175 ==> 264945 : Showfoto 1.9 (strigi relevant), installed in /usr/local/bin along with digiKam 1.9, crashes when opening many, but not all, jpegs.
176 ==> 276356 : Tags should have a root (maybe hidden).
177 ==> 276154 : jpegutils.cpp contains debug output, but disabled by define.
178 ==> 276921 : Wrong i18n-Parameter in libs/database/databaseconfiglement.cpp.
179 ==> 271610 : Crash when importing picutures from a Canon SX 200 IS.
180 ==> 271269 : Crash occured when trying to import pictures from Finepix 6500fd.
181 ==> 271909 : digiKam crashed when trying to switch map to google map in geolocation window.
182 ==> 276969 : [2.0.0-rc] pgfutils.cpp:154:45: error: invalid conversion from 'UINT32*' to 'int'.
183 ==> 146337 : Tag regions of an image.
184 ==> 210914 : Allow disabling the rating widget in the Light Table thumbbar or unrating an image.
185 ==> 276745 : Crash while updating/generating fingerprints.
186 ==> 240148 : If I change the theme to black, the color of the texts in menus remains black, and it can't be read 
187 ==> 274529 : Crashes on startup in Mac OS X.
188 ==> 268817 : DK 2.0 beta 4 - crash when starting sw conversion.
189 ==> 264231 : CMakeList.txt opencv-check broken.
190 ==> 269084 : Crash when editing Geo-Location.
191 ==> 277157 : Wish: Copy to Clipboard.
192 ==> 262700 : Raw file will freeze with 16bit option enabled.
193 ==> 277133 : Additional patch needed to compile 2.0.0-rc with external libpgf.
194 ==> 261656 : Object::connect error messages when using decorate/add border.
195 ==> 270248 : digiKam crashes when clicking on a deleted folder.
196 ==> 272175 : Picture orientation is "forgotten" in viewer and light table when using xmp sidecar [patch].
197 ==> 275311 : XMP sidecars are not written for symbolic links [patch].
198 ==> 276712 : Ignore certain file types.
199 ==> 141730 : Page down/up goes to next/previous picture istead of scolling a page.
200 ==> 229795 : Position in album lost when switching album forth and back.
201 ==> 208506 : Switching between view does not hold the current image.
202 ==> 252134 : When selecting multiple images, some controls should be disabled.
203 ==> 270161 : Unclear how to get rid of tags.
204 ==> 269446 : Keyword-Managing: Folder "People" und subfolder "Unknown" persistent?
205 ==> 269445 : Not possible to select only one album INCLUDING subfolders to scan for faces.
206 ==> 277502 : All versions of version set always displayed in Album viewed.
207 ==> 271557 : Tags: missing order, no sorting.
208 ==> 265264 : Tag all images multiple Images are selected.
209 ==> 247659 : In big albums re-sorting thumbnails on opening right tab bar, move selected image out the screen [patch].
210 ==> 276923 : Crash during initial run of facial recognition.
211 ==> 276646 : Crash while trying to switch database sqlite -> mysql.
212 ==> 271622 : Local contrast settings are greyed out.
213 ==> 274947 : Auto-rotate/flip image does not work at import.
214 ==> 276450 : Versioning cuts image filenames after the first '.'.
215 ==> 276525 : Image editor offers to save image when quitting even when it has just been saved.
216 ==> 276526 : When deleting a picture with Image Editor, it then loads the second next picture.
217 ==> 274388 : digiKam right click menu does not show any text.
218 ==> 277927 : Demosaicing (GUI) makes Xorg take 30% CPU.
219 ==> 276059 : Tags are not written to files on export or save when editing TIFF files.
220 ==> 271710 : Crash when starting after adding 1500 pic + thumbnails.db is 3.9 GB with 4 GB storage capacity.
221 ==> 244529 : Crash when writing metadata in files.
222 ==> 267789 : Make face detection (kface) and geo tagging (kmap) optional features.
223 ==> 278323 : Wrong Ctrl+V shortcut for "Cut".
224 ==> 278321 : Please sort "Themes" (color themes) sub menu.
225 ==> 276827 : digiKam segfaults when autocompleting tags.
226 ==> 278038 : digiKam crashes while switching image in editor thumbbar.
227 ==> 276096 : PGF images not shown if zoom is set to 100%.
228 ==> 207944 : New renaming of pictures.
229 ==> 270554 : Import Wizard: Rename options filename with timestamp.
230 ==> 251886 : Autohide scrollbars, please.
231 ==> 226765 : Panning with arrow keys in preview mode is slow.
232 ==> 278040 : Raw images disappear after being exported.
233 ==> 255915 : Crash stopping slideshow.
234 ==> 278329 : Using DigiKam in Ubuntu 11.04 I cannot switch to another language.
235 ==> 277935 : Rename libkmap to libkgeomap and move it to extragear/libs.
236 ==> 273077 : Generate Fingerprints gets slower and slower.
